### Interface

# RB TaskProgress

#### Description

    interface RB.TaskProgress : GObject.Object

No description available.

#### Prerequisite

In order to implement TaskProgress, your type must inherit from`GObject`.

#### Implementations

- RhythmDBImportJob
- RBTaskProgressSimple
- RBTrackTransferBatch

#### Instance methods

###### rb_task_progress_cancel

No description available.

#### Properties

###### RB.TaskProgress:task-cancellable

No description available.

###### RB.TaskProgress:task-detail

No description available.

###### RB.TaskProgress:task-label

No description available.

###### RB.TaskProgress:task-notify

No description available.

###### RB.TaskProgress:task-outcome

No description available.

###### RB.TaskProgress:task-progress

No description available.

#### Interface structure

    struct RBTaskProgressInterface {
      GTypeInterface g_iface;
      void (* cancel) (
        RBTaskProgress* progress
      );

    }

No description available.

###### Interface members

`g_iface`

    GTypeInterface

| No description available.

`cancel`

    void (* cancel) (
        RBTaskProgress* progress
      )

| No description available.

#### Virtual methods

###### RB.TaskProgress.cancel

No description available.